# -*- coding: iso_8859_1 -*-

from aspylib import astro, calib, conf

#------------------------------------------------------------------------------------
#	purpose
#------------------------------------------------------------------------------------
#
#	This script calculate a master flat frame, starting from raw flat and dark frames that have NOT ALL been measured with the same exposure time.
#	To compensate for the variable exposure, offset frames (i.e. shutter closed, 0 sec exposure) are also needed.
#
#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

#--- input names ---
Folder = conf.folder+"test_calibration\\"
Offsetlist = [Folder + "sources\\offset\\offset-" + str(i+1) + ".fits" for i in range(20)]
Darklist = [Folder + "sources\\darkflat\\darkflat-" + str(i+1) + ".fits" for i in range(20)]
Flatlist = [Folder + "sources\\flat\\flat-" + str(i+1) + ".fits" for i in range(20)]

#--- output name ---
Finalflat = Folder + "flat_final.fits"

#--- additional information (for FITS headers) ---
Config = 0
More_headers = {'OBJECT': ['Master flat frame','']}

#------------------------------------------------------------------------------------
#	script
#------------------------------------------------------------------------------------

calib.process_flatframe_vbleexp(Flatlist, Darklist, Offsetlist, Finalflat, Config, Headers=More_headers)

flat = astro.get_imagedata([Finalflat])
astro.display(flat)