# -*- coding: iso_8859_1 -*-

from aspylib import astro, conf
import numpy as np

#------------------------------------------------------------------------------------
#	Purpose = find Julian dates for a series of images
#------------------------------------------------------------------------------------
#
#	This script reads the "DATE-OBS" headers of a series of images.
#	Then it calculates the corresponding Julian dates and write them in a text file.
#
#------------------------------------------------------------------------------------
#	Input parameters
#------------------------------------------------------------------------------------

Imagelist = [conf.folder + "images-calibrated-" + str(i+1) + ".fit" for i in range(20)]

#------------------------------------------------------------------------------------
#	Script
#------------------------------------------------------------------------------------

Dateobs = astro.julian_day(astro.get_headervalues(Imagelist, 'DATE-OBS'))

f = open(conf.folder + 'JJ_dates.txt','w')
for dd in Dateobs:
	f.write(str(dd)+'\n')
f.close()
