# -*- coding: iso_8859_1 -*-

from aspylib import astro, conf
import numpy as np
import matplotlib.pyplot as plt

#------------------------------------------------------------------------------------
#	Purpose
#------------------------------------------------------------------------------------
#
#	This script calculates the statistics of a series of images
#	- the mean of each image
#	- the min and max values of each image
#
#-------------------------------------------------------------------------------------
#	Input parameters
#-------------------------------------------------------------------------------------

Imagelist = [conf.folder + "images-calibrated-" + str(i+1) + ".fit" for i in range(20)]

#-------------------------------------------------------------------------------------
#	Script
#-------------------------------------------------------------------------------------
mean = []
maxi = []
mini = []

for i in range(len(Imagelist)):
	imagei = astro.get_imagedata([Imagelist[i]])

	#calculating statistics
	mean.append(np.mean(imagei.flatten()))
	maxi.append(np.max(imagei.flatten()))
	mini.append(np.min(imagei.flatten()))

print("")
print("-----------------------------------------------")
print("Mean, Min and Max values")
print("-----------------------------------------------")
for i in range(len(Imagelist)):
	print("Image",str(i+1),"\tmean=",mean[i],"\tmin=",mini[i],"\tmax=",maxi[i])

plt.figure()
plt.plot(mean,label='Mean')
plt.plot(maxi,label='Max')
plt.plot(mini,label='Min')
plt.title("Min, Mean and Max")
plt.grid()
plt.show()
