# -*- coding: iso_8859_1 -*-

from aspylib import astro, photometry, conf
import numpy as np
import matplotlib.pyplot as plt

#------------------------------------------------------------------------------------
#	Purpose 
#------------------------------------------------------------------------------------
#
#	Loads the file that contains the image shifts that was created during execution of the scripts "photometry_run.py" or "photosearch_run.py".
#	Then, displays the shifts for all images that have not been rejected.
#
#------------------------------------------------------------------------------------
#	Input parameters 
#------------------------------------------------------------------------------------

Folder = conf.folder
Filename = Folder + 'test_02_image_shifts.txt'

#------------------------------------------------------------------------------------
#	Script
#------------------------------------------------------------------------------------

imagelist, shifts = photometry.load_shifts(Filename)
ind = list(np.array(np.arange(1,len(imagelist)+1), dtype=np.int))

plt.plot(ind,shifts[:,0], 'b')
plt.plot(ind,shifts[:,1], 'g')
plt.grid()
plt.title('Image shifts: Vertical (blue), Horizontal (green)')
plt.xlabel('Image number')
plt.ylabel('Image shifts (pixels)')
plt.show()	
