# -*- coding: iso_8859_1 -*-
"""
	main module for FITS image processing.
"""

#--- all necessary modules --
#import time, os, datetime, sys
#import platform as pf
#import astropy.io.fits
#import numpy as np
#import matplotlib.pyplot as plt
#from matplotlib import cm
#from matplotlib.widgets import Slider
#from scipy.optimize import leastsq
#import scipy.ndimage as sn
#import scipy.fftpack as fft
#from ctypes import c_long, c_float, cdll
#from numpy.ctypeslib import ndpointer
#----------------------------
#import aspylib.conf as conf
#from aspylib.astro import process, process2, process3, transform
#from aspylib.astro import load, stats
#----------------------------

from aspylib.astro.load import get_imagedata, get_someimagedata, get_headers, get_headervalues, check_extension
#def get_imagedata(Imagelist, text_display=True):
#def get_someimagedata(Imagelist, area, text_display=True):
#def get_headers(Imagelist, text_display=True):
#def get_headervalues(Imagelist, Header):
#def check_extension(file_name):

from aspylib.astro.displaying import display, select
#def display(data, title='', show=True):
#def select(data, title='', show=True, nb=-1, color='none', facecolor='none', edgecolor='none', marker='o', size=50):

from aspylib.astro.headers import create_headers, julian_day
#def create_headers(Config, Imagelist):
#def julian_day(dateobs):

from aspylib.astro.save import save_imagelist
#def save_imagelist(images, headers, Imagelist, bitpix=16, overwrite=True):

#--------------------------------------------------------------------------
from aspylib.astro.combine import add_sigma_clipping, add_sigma_clipping2, add_mean, add_median, add_median2
#def add_sigma_clipping2(images, sigma, iterations):
#def add_sigma_clipping(images, sigma, iterations, cutsize=[500,500]):
#def add_mean(images):
#def add_median2(images):
#def add_median(images, cutsize=[1000,1000]):

from aspylib.astro.transform import translate_Bspline, rotate_Bspline, scale_Bspline, translate_bilinear, rotate_bilinear, scale_bilinear, bin2x2
#def translate_Bspline(images, shift, spline_degree):
#def rotate_Bspline(images, xy_axis, angle, spline_degree):
#def scale_Bspline(images, xy_center, scaling, spline_degree):
#def translate_bilinear(images, shift):
#def rotate_bilinear(images, xy_axis, angle):
#def scale_bilinear(images, xy_center, scaling):
#def bin2x2(images, saturation=True):

from aspylib.astro.transform2 import mirror_horiz, mirror_vert, rot_90, rot_180, rot_270
#def mirror_horiz(images):
#def mirror_vert(images):
#def rot_90(images):
#def rot_180(images):
#def rot_270(images):

#--------------------------------------------------------------------------
from aspylib.astro.process import fit_gauss_circular, fit_gauss_elliptical, fit_moffat_circular, fit_moffat_elliptical
#def fit_gauss_circular(xy, data):
#def fit_gauss_elliptical(xy, data):
#def fit_moffat_circular(xy, data):
#def fit_moffat_elliptical(xy, data):

from aspylib.astro.process2 import detect_peaks, detect_stars, find_stars
#def detect_peaks(image, detection_area = 2):
#def detect_stars(image, threshold, detection_area = 2, saturation = [False,0], margin = 5):
#def find_stars(image, nb_stars, excluded = [], included = [], detection_area = 2, saturation = [False,0], margin = 5, text_display = True):

from aspylib.astro.process3 import fit_stars, centroid_stars, max_stars, remove_duplicates
#def fit_stars(image, stars, fit_area, maxshift = 2, error_messages = 1, full_info=False):
#def centroid_stars(image, stars, fit_area, maxshift = 2, error_messages = 1):
#def max_stars(image, stars, fit_area, error_messages = 1):
#def remove_duplicates(stars):
#def remove_inaccurate_positions(stars, filter):

from aspylib.astro.process4 import find_stars_accurate, find_shift_stars_matching, find_shift_crosscorrelation
#def find_stars_accurate(image, nb_stars, fit_area, excluded = [], included = [], saturation = [False,0], text_display = True, filter = 0):
#def find_shift_stars_matching(stars1, stars2, text_display=False):
#def find_shift_crosscorrelation(image1, image2):

from aspylib.astro.process5 import mean_psf
#def mean_psf(image, nb_stars, fit_area, excluded=[], included=[], saturation = [False,0], text_display = True):

from aspylib.astro.stats import get_median
#def get_median(images):

from aspylib.astro.calc import air_mass, hours_to_decdegrees, degrees_to_decdegrees, dates_to_juliandays, juliandays_to_dates, decdegrees_to_hours, decdegrees_to_degrees, greatcircledistance, haversine
#def air_mass(alpha, delta, lat, long, JJ):
#def hours_to_decdegrees(hours, sep=':'):
#def degrees_to_decdegrees(degrees, sep=':'):
#def dates_to_juliandays(dates):
#def juliandays_to_dates(juliandates):
#def decdegrees_to_hours(angle, sep=':'):
#def decdegrees_to_degrees(angle, sep=':'):
#def greatcircledistance(alpha1, delta1, alpha2, delta2):
#def haversine(alpha1, delta1, alpha2, delta2):

from aspylib.astro.various import load_data
#def load_data(filename, string_start, string_end, rowstart=0, colstart=0, remove_blanks=True, text_display=True):

#--------------------------------------------------------------------------