#ifndef _DLL_H_
#define _DLL_H_

int		SamplesToCoefficients
				(
					float	*Image,		/* in-place processing */
					long	Width,		/* width of the image */
					long	Height,		/* height of the image */
					long	SplineDegree/* degree of the spline model */
				);

double	InterpolatedValue
				(
					float	*Bcoeff,	/* input B-spline array of coefficients */
					long	Width,		/* width of the image */
					long	Height,		/* height of the image */
					double	x,			/* x coordinate where to interpolate */
					double	y,			/* y coordinate where to interpolate */
					long	SplineDegree/* degree of the spline model */
				);


extern "C"
{
   __declspec(dllexport) int Translate(int dim, int dim_x, int dim_y, float* a, float* shifts, int spline_degree, float* b);
   __declspec(dllexport) int Rotate(int dim, int dim_x, int dim_y, float* a, float* axis, float angle, int spline_degree, float* b);
   __declspec(dllexport) int Scale(int dim, int dim_x, int dim_y, float* a, float* center, float factor, int spline_degree, float* b);
   __declspec(dllexport) int Tilt_spectrum(int dim, int dim_x, int dim_y, float* a, float angle, float centre_spec, int spline_degree, float* b);
}

#endif

